import type { JumperTrigger } from './type';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("@ldesign/icons-vue").GlobalIconType;
    RoundIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronRightIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronUpIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronDownIcon: import("@ldesign/icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: JumperTrigger;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: JumperTrigger;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: JumperTrigger;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    tips?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: JumperTrigger;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("@ldesign/icons-vue").GlobalIconType;
    RoundIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronRightIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronUpIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronDownIcon: import("@ldesign/icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: JumperTrigger;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    tips?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: JumperTrigger;
    }) => void;
}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
}, true>);
export default _default;
